/* "intended" maximum brightness [0, 4095] */
#define CANDLE_MAX 3500

/* Non-linearity of red color component [0, 1]. The lower this value,
   the higher the ratio of red color during low brightness. */
#define CANDLE_RED_EXP 0.70

/* maximum change of (nominal) brightness during one animation step [0, 4095] */
#define CANDLE_DOWN 200
#define CANDLE_UP 100
/* maximum change of (nominal) angle during one animation step [0, 127] */
#define CANDLE_ANGLE_CHANGE 16

/* maximum change of (actual) brightness during one animation step [0, 4095] */
#define CANDLE_LOWPASS_DOWN 3
#define CANDLE_LOWPASS_UP 20
/* maximum change of (actual) angle during one animation step [0, 127] */
#define CANDLE_LOWPASS_ANGLE 40

/* duration of one animation frame / ms [1, 2^32 - 1] */
#define CANDLE_SPEED 10

/* "Probability" of a change of the wind's angle [0, 4095]. */
#define CANDLE_ANGLE_PROB 450
/* "Probability" of darkening [0, 4095]. */
#define CANDLE_PROB 1500
/* Non-linearity of angle's step size [1, 17]. The higher this value, the less
   likely are big step sizes. */
#define CANDLE_ANGLE_EXP 3
/* Maximum effect of emulated change of position [0, 4095]. */
#define CANDLE_POSITION_MAX 800

