/*
   Dot correction.
   
   Changelog:
   
   	2017-12-29: Initial release.
*/

#include <stdint.h>

uint_fast8_t ledDcMul[4][3] = {

/*   R  G  B            */
	{1, 4, 1}, /* DOWN  */
	{1, 4, 1}, /* RIGHT */
	{1, 4, 1}, /* UP    */
	{1, 4, 1}  /* LEFT  */
};

uint_fast8_t ledDcDiv[4][3] = {

/*   R  G  B            */
	{1, 5, 4}, /* DOWN  */
	{1, 5, 4}, /* RIGHT */
	{1, 5, 4}, /* UP    */
	{1, 5, 4}  /* LEFT  */
};

#if defined PCB_ID_0

	int_fast16_t ledDcAdd[4][3] = {

	/*   R     G  B            */
		{0,    0, 0}, /* DOWN  */
		{0,    0, 0}, /* RIGHT */
		{0,    0, 0}, /* UP    */
		{0, -200, 0}  /* LEFT  */
	};

#else
	
	int_fast16_t ledDcAdd[4][3] = {

	/*   R  G  B            */
		{0, 0, 0}, /* DOWN  */
		{0, 0, 0}, /* RIGHT */
		{0, 0, 0}, /* UP    */
		{0, 0, 0}  /* LEFT  */
	};

#endif
